import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';
import 'scroll_screenshot_platform_interface.dart';

/// An implementation of [ScrollScreenshotPlatform] that uses method channels.
class MethodChannelScrollScreenshot extends ScrollScreenshotPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('scroll_screenshot');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
