import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'scroll_screenshot_method_channel.dart';

abstract class ScrollScreenshotPlatform extends PlatformInterface {
  /// Constructs a ScrollScreenshotPlatform.
  ScrollScreenshotPlatform() : super(token: _token);

  static final Object _token = Object();

  static ScrollScreenshotPlatform _instance = MethodChannelScrollScreenshot();

  /// The default instance of [ScrollScreenshotPlatform] to use.
  ///
  /// Defaults to [MethodChannelScrollScreenshot].
  static ScrollScreenshotPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [ScrollScreenshotPlatform] when
  /// they register themselves.
  static set instance(ScrollScreenshotPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
