import 'package:flutter/cupertino.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:scroll_screenshot/scroll_screenshot.dart';
import 'package:scroll_screenshot/scroll_screenshot_platform_interface.dart';
import 'package:scroll_screenshot/scroll_screenshot_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockScrollScreenshotPlatform
    with MockPlatformInterfaceMixin
    implements ScrollScreenshotPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final ScrollScreenshotPlatform initialPlatform = ScrollScreenshotPlatform.instance;

  test('$MethodChannelScrollScreenshot is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelScrollScreenshot>());
  });

  test('getPlatformVersion', () async {
    // ScrollScreenshot scrollScreenshotPlugin = ScrollScreenshot();
    MockScrollScreenshotPlatform fakePlatform = MockScrollScreenshotPlatform();
    ScrollScreenshotPlatform.instance = fakePlatform;
    final GlobalKey _globalKey = GlobalKey();

    expect(await ScrollScreenshot.captureAndSaveScreenshot(_globalKey), '42');
  });
}
